Mint LMDE & Firefox 4 Flash

Questions about codecs, DVD playback, web plugins...
Forum rules
Before you post please read this

Mint LMDE & Firefox 4 Flash

Postby mort on Wed Apr 06, 2011 5:42 am

OK I've had a good read through of the various topics and so on regarding getting Firefox 4 installed which wasn't a problem... However I can't seem to get Flash working even though FF4 happily shares FF 3.5.6's other addons etc :? Its also dropped my spell checker on both FF's for some reason :?:

I tried going down the route of installing Iceweasel but I get the following error from Package Manager;

iceweasel:
Depends: xulrunner-2.0 but it is not going to be installed


If I try to install xulrunner I get this error;

xulrunner-2.0:
Depends: libcairo2 (>=1.10.2-1.1~bpo60+1) but 1.10.0-1ubuntu2 is to be installed


It mentions checking all required repositories but I've no idea which ones do what :oops:

So I'm now at a bit of a loss... I'm running a AMD X6 64 and on LMDE and FF4 its lightening fast... :mrgreen: Its my one niggle (I can live with any others :lol: ) and I'm hoping to transfer my group of friends and family onto LMDE very soon since I'll be able to do even less in the way of upgrading and problem solving... :lol:

Thanx for reading and thanx for any help in advance...
User avatar
mort
Level 1
Level 1
 
Posts: 13
Joined: Wed Jul 22, 2009 9:12 am

Linux Mint is funded by ads and donations.
 

Re: Mint LMDE & Firefox 4 Flash

Postby TBABill on Wed Apr 06, 2011 7:40 am

I may be wrong, but I seem to remember something a week or so back that mentioned Iceweasel 4.0 coming from the backports squeeze repo? One thing I do not recall is if there was any mention of other repos carrying any dependencies for it.
TBABill
Level 6
Level 6
 
Posts: 1368
Joined: Wed Dec 30, 2009 1:02 pm
Location: Leonardtown, MD

Re: Mint LMDE & Firefox 4 Flash

Postby Chipshotz on Thu Apr 07, 2011 1:02 am

The 'Flash-aid' extension https://addons.mozilla.org/en-US/firefox/addon/flash-aid/ worked beautifully for me.
Chipshotz
Level 1
Level 1
 
Posts: 26
Joined: Wed Mar 02, 2011 10:35 pm

Re: Mint LMDE & Firefox 4 Flash

Postby mort on Thu Apr 07, 2011 3:56 am

Chipshotz wrote:The 'Flash-aid' extension https://addons.mozilla.org/en-US/firefox/addon/flash-aid/ worked beautifully for me.


Well what do you know... It worked beautifully for me too... :mrgreen:

Thank you very much Chipshotz :wink:

I'd still like to try Iceweasel so I'll be keeping an eye on those repo's...

Thanks for the help folks... :)
User avatar
mort
Level 1
Level 1
 
Posts: 13
Joined: Wed Jul 22, 2009 9:12 am

Re: Mint LMDE & Firefox 4 Flash

Postby Chipshotz on Fri Apr 08, 2011 3:28 am

It's a good feeling when a plan works! :)
Chipshotz
Level 1
Level 1
 
Posts: 26
Joined: Wed Mar 02, 2011 10:35 pm

Re: Mint LMDE & Firefox 4 Flash

Postby mandeep on Sat Apr 16, 2011 1:44 am

In the starting problem for the thread, I got the iceweasel 4 working by changing libcairo2 version from 1.10.0 ubuntu to 1.10.2 from lmde testing.

Went to Synaptic->Package->ForceVersion and chose 1.10.2 from testing instead of 1.10.0.ubuntu. I am not sure why the version is 1.10.0 from ubuntu instead of 1.10.2 from testing in lmde default.... looks like a bug.

This allowed me to install iceweasel4 from experimental.
mandeep
Level 1
Level 1
 
Posts: 4
Joined: Sat Apr 16, 2011 1:38 am

Re: Mint LMDE & Firefox 4 Flash

Postby gavinhc on Sat Apr 16, 2011 12:59 pm

mandeep wrote:Went to Synaptic->Package->ForceVersion and chose 1.10.2 from testing instead of 1.10.0.ubuntu. I am not sure why the version is 1.10.0 from ubuntu instead of 1.10.2 from testing in lmde default.... looks like a bug.

It's not a bug, the Mint devs included the Ubuntu version of libcairo2 in the LMDE repos to improve font rendering. I, too, have been using the version from the Debian testing repos for a while now and have not noticed any significant change in font rendering, but ymmv.
AMD Athlon II X4 630, 4 GB DDR3 RAM, Nvidia GeForce GT 430 - 64-bit LMDE (Gnome3) tracking testing, 64-bit Archlinux, 32-bit Windows XP
Aluminum Unibody MacBook - MacOS X 10.7 "Lion"
gavinhc
Level 2
Level 2
 
Posts: 82
Joined: Sat Oct 16, 2010 1:53 pm
Location: Canada

Re: Mint LMDE & Firefox 4 Flash

Postby mort on Sat May 07, 2011 4:42 pm

OK no probs installing Iceweasel thanx to the above advice but my flash issues got even worse! I've now started a seperate topic as I believe its not the flash at fault...

This can be found here should anyone else be suffering the same issues...
User avatar
mort
Level 1
Level 1
 
Posts: 13
Joined: Wed Jul 22, 2009 9:12 am

Linux Mint is funded by ads and donations.
 

Return to Sound, Multimedia & Codecs

Who is online

Users browsing this forum: No registered users and 2 guests